package com.example.androidapplication

import android.view.LayoutInflater
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import com.example.androidapplication.databinding.ItemAnnouncementBinding
import com.example.androidapplication.network.Announcement

class AnnouncementsAdapter :
    RecyclerView.Adapter<AnnouncementsAdapter.AnnouncementViewHolder>() {

    private var announcements = emptyList<Announcement>()

    inner class AnnouncementViewHolder(val binding: ItemAnnouncementBinding) :
        RecyclerView.ViewHolder(binding.root)

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): AnnouncementViewHolder {
        val binding = ItemAnnouncementBinding.inflate(
            LayoutInflater.from(parent.context),
            parent,
            false
        )
        return AnnouncementViewHolder(binding)
    }

    override fun onBindViewHolder(holder: AnnouncementViewHolder, position: Int) {
        val announcement = announcements[position]
        holder.binding.apply {
            title.text = announcement.title
            content.text = announcement.content
            author.text = "Par ${announcement.author}"
            date.text = announcement.createdAt
        }
    }

    override fun getItemCount() = announcements.size

    fun submitList(newList: List<Announcement>) {
        announcements = newList
        notifyDataSetChanged()
    }
}