package com.example.androidapplication

import android.app.AlertDialog
import android.app.Dialog
import android.os.Bundle
import android.widget.EditText
import androidx.fragment.app.DialogFragment
import com.example.androidapplication.R
import com.example.androidapplication.network.ApiService
import kotlinx.coroutines.CoroutineScope
import kotlinx.coroutines.Dispatchers
import kotlinx.coroutines.launch

class NoteDialogFragment : DialogFragment() {
    override fun onCreateDialog(savedInstanceState: Bundle?): Dialog {
        val view = layoutInflater.inflate(R.layout.dialog_note, null)
        val editText = view.findViewById<EditText>(R.id.editNote)

        return AlertDialog.Builder(requireContext())
            .setTitle("Nouvelle Note")
            .setView(view)
            .setPositiveButton("Enregistrer") { _, _ ->
                saveNote(editText.text.toString())
            }
            .setNegativeButton("Annuler", null)
            .create()
    }

    private fun saveNote(content: String) {
        CoroutineScope(Dispatchers.IO).launch {
            try {
                ApiService.getInstance(requireContext())
                    .createNote(mapOf("note" to content))
                (activity as? NotesActivity)?.loadNotes()
            } catch (e: Exception) {
                // Gérer l'erreur
                print(e)
            }
        }
    }
}