package com.example.androidapplication

import android.view.LayoutInflater
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import com.example.androidapplication.databinding.ItemNoteBinding
import com.example.androidapplication.network.Note
import java.text.SimpleDateFormat
import java.util.*

class NotesAdapter : RecyclerView.Adapter<NotesAdapter.NoteViewHolder>() {

    private var notes = emptyList<Note>()

    inner class NoteViewHolder(val binding: ItemNoteBinding) :
        RecyclerView.ViewHolder(binding.root)

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): NoteViewHolder {
        val binding = ItemNoteBinding.inflate(
            LayoutInflater.from(parent.context),
            parent,
            false
        )
        return NoteViewHolder(binding)
    }

    override fun onBindViewHolder(holder: NoteViewHolder, position: Int) {
        val note = notes[position]
        holder.binding.apply {
            content.text = note.note
            author.text = "Créé par ${note.author}"
            date.text = SimpleDateFormat("dd/MM/yyyy HH:mm", Locale.FRANCE)
                .format(note.created_at)
        }
    }

    override fun getItemCount() = notes.size

    fun submitList(newList: List<Note>) {
        notes = newList
        notifyDataSetChanged()
    }
}