package com.example.androidapplication

import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import com.example.androidapplication.databinding.ItemUserBinding
import com.example.androidapplication.network.Note
import com.example.androidapplication.network.User
import java.text.SimpleDateFormat
import java.util.*

class UsersAdapter(
    private val isAdmin: Boolean,
    private val onDeleteClick: (Int) -> Unit
) : RecyclerView.Adapter<UsersAdapter.UserViewHolder>() {

    private var users = emptyList<User>()

    inner class UserViewHolder(val binding: ItemUserBinding) : RecyclerView.ViewHolder(binding.root)

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): UserViewHolder {
        return UserViewHolder(
            ItemUserBinding.inflate(
                LayoutInflater.from(parent.context),
                parent,
                false
            )
        )
    }

    override fun onBindViewHolder(holder: UserViewHolder, position: Int) {
        val user = users[position]
        with(holder.binding) {
            usernameText.text = user.username
            emailText.text = user.email
            roleText.text = "Role: ${user.role}"
            deleteButton.visibility = if (isAdmin) View.VISIBLE else View.GONE

            deleteButton.setOnClickListener {
                onDeleteClick(user.id)
            }
        }
    }

    override fun getItemCount() = users.size

    fun submitList(newList: List<User>) {
        users = newList
        notifyDataSetChanged()
    }
}